## goo 0.155

=== debian/changelog ===
goo (0.155-17) unstable; urgency=medium

  * debian/copyright:
    - Fix typo in src/samurui/treegoo.* license -- LGPL-2+, not GPL-2+.
      (Closes: #919988.)
    - Belatedly update years for debian/*.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 24 Jan 2019 22:18:42 -0500

goo (0.155-16) unstable; urgency=medium

  * Split Emacs support into a separate package, now using dh-elpa.
    - debian/.gitignore: Add elpa-goo; generalize goo.foo patterns to
      cover elpa-goo.foo too (conveniently also matching .debhelper).
    - debian/control: Build-depend on dh-elpa; add an elpa-goo binary
      package, and have the main goo package suggest it.
    - debian/elpa-goo.elpa: List elisp files to install; exclude
      goo-font-lock.el (whose autoloads shadow stock font-lock.el), and
      add debian/goo-pkg.el.
    - debian/goo-pkg.el: Characterize metadata; take the *.goo file
      association over from the old emacsen-startup file.
    - debian/goo.emacsen-*: Remove, no longer needed by any name.
    - debian/goo.install: Remove, superseded by elpa-goo.elpa.
    - debian/goo.maintscript: Clean up old emacsen-startup file.
    - debian/rules: Run dh --with elpa.
  * configure: Hand-edit to ignore --runstatedir=*, which debhelper injects
    as of compat level 11.  (Hold off on regeneration with modern Autoconf.)
  * debian/compat: Advance to 11 (from 9).
  * debian/control:
    - Advance debhelper version requirement to 11~ accordingly.
    - Rules-Requires-Root: no (safe with override_dh_auto_install fixed).
    - Repoint Vcs-{Browser,Git} at salsa.
    - Split out Build-Depends-Arch (lib*-dev) and -Indep (dh-elpa).
    - Standards-Version: 4.3.0 (compliant at this point).
  * debian/goo.manpages: New, to avoid needing override_dh_installman.
  * debian/rules:
    - Run dh --without autoreconf, at least for now.
    - override_dh_auto_install: Don't micromanage /usr/bin/goo's ownership
      or permissions; they both come out correct by default, and trying to
      specify ownership explicitly fails without (fake)root.
    - Streamline builds that cover only architecture-dependent or
      -independent binary packages.
      + Limit use of --with elpa to binary and binary-indep.
      + Tag override_dh_auto_{configure,build,install} rules with -arch,
        and add no-op -indep variants.
      + Retire override_dh_installman in favor of debian/goo.manpages,
        to ensure elpa-goo doesn't try to ship goo.1.
      + Make override_dh_elpa_test a no-op for now to work around
        libdebian-source-perl bug #919964.
    - Install txt/changes.txt as NEWS(.gz) rather than changelog(.gz).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 20 Jan 2019 22:47:51 -0500

goo (0.155-15) unstable; urgency=medium

  * debian/control:
    - Canonicalize with the help of cme fix.  In particular, declare
      Standards-Version: 3.9.8 (already compliant, not that cme checked).
    - Homepage: https://people.csail.mit.edu/jrb/goo/.  (Closes: #767852.)
  * Incorporate (and unignore) automatic patches per dgit.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 24 Jan 2017 23:54:42 -0500

goo (0.155-14) unstable; urgency=medium

  * d/control: Depend on emacsen-common (>= 2.0.8), per the new emacsen policy.
  * d/goo.emacsen-compat: Declare compliance with modern policy (already
    partially adopted by accident, because Debhelper jumped the gun).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 17 Jun 2014 10:58:39 -0400

goo (0.155-13) unstable; urgency=high

  * debian/goo.emacsen-install: Tolerate preexisting .el symlinks, which
    can exist when configuring goo and an emacs flavor in the same run.
    (Closes: #730811.)
  * debian/control: Note compliance with Standards-Version 3.9.5.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 01 Dec 2013 13:57:57 -0500

goo (0.155-12) unstable; urgency=low

  * src/goo/system.goo (add-tmp-path): make sure to pass
    %create-temp-directory's result through %sb.  (Already taken care of
    in system.c, hand-patched because regeneration shuffles everything,
    but accidentally left out of system.goo.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 30 Jun 2012 00:11:26 -0400

goo (0.155-11) unstable; urgency=low

  * c/grt.h:
    - Make sure to declare YevalSast_evalYPbinding_{boundQ,value_or}
      to keep dynamically loaded g2c extensions from crashing when taking
      full advantage of 64-bit address spaces, as with PIE on amd64.
    - Also declare the new YgooSsystemYPcreate_temp_directory function.
  * {c/g2c,src}/goo/(%)system.*: arrange to build g2c extensions in secure
    temporary directories (cleaned on exit) rather than directly in /tmp.
  * debian/compat: advance to Debhelper 9.
  * debian/control:
    - Build-Depends: debhelper (>= 9), implying a new enough dpkg-dev.
    - Standards-Version: 3.9.3 (no changes required).
    - Repoint Vcs-* fields at anonscm.debian.org (vs. git.debian.org).
  * debian/goo.emacsen-install: symlink elisp source rather than copying
    it; keep the symlinks around.
  * debian/rules: enable full hardening.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 29 Jun 2012 00:28:41 -0400

goo (0.155-10) unstable; urgency=low

  * The "Third time's the charm?" release.
  * Patch grt.h to work around #617748 (the root cause of #617395) by
    defining GC_FREEBSD_THREADS or GC_GNU_THREADS in addition to
    GC_THREADS as appropriate, as gc_config_macros.h does not yet do so.
  * Run (dh_auto_)configure --with-threads on all architectures again, as
    it should now really be safe to do so.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Mar 2011 22:43:16 -0500

goo (0.155-9) unstable; urgency=low

  * Don't run (dh_auto_)configure --with-threads on kFreeBSD, on which
    libgc still lacks pthread support.  (Advancing to version 7 only made
    a difference on the Hurd.)  (Closes: #617395.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 08 Mar 2011 18:58:42 -0500

goo (0.155-8) unstable; urgency=low


