=== debian/control ===
Source: goo
Maintainer: Aaron M. Ucko <ucko@debian.org>
Section: lisp
Priority: optional
Build-Depends: debhelper (>= 11~),
Build-Depends-Arch: libgc-dev,
                    libgmp10-dev | libgmp-dev
Build-Depends-Indep: dh-elpa
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/ucko/goo
Vcs-Git: https://salsa.debian.org/ucko/goo.git
Homepage: https://people.csail.mit.edu/jrb/goo/
Rules-Requires-Root: no

Package: goo
Architecture: any
Depends: emacsen-common (>= 2.0.8),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: elpa-goo,
          gcc,
          libgc-dev
Description: generic object-orientator (programming language)
 GOO is a dynamic, type-based, object-oriented language in the same family
 as Dylan and Scheme.  It is designed to be simple, productive, powerful,
 extensible, dynamic, efficient, and real-time.
 .
 Its main goal is to offer the best of both scripting and delivery
 languages, while at the same time incorporating an extreme back-to-basics
 philosophy.
 .
 This package contains the GOO interpreter and compiler, and
 documentation for the language and these programs.

Package: elpa-goo
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs,
            goo
Enhances: emacs
Description: generic object-orientator (Emacs support)
 GOO is a dynamic, type-based, object-oriented language in the same family
 as Dylan and Scheme.  It is designed to be simple, productive, powerful,
 extensible, dynamic, efficient, and real-time.
 .
 Its main goal is to offer the best of both scripting and delivery
 languages, while at the same time incorporating an extreme back-to-basics
 philosophy.
 .
 This package contains an Emacs mode for editing GOO source and an
 interface for running the GOO interpreter directly from Emacs.
