=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS  := $(shell dpkg-buildflags --get CFLAGS) -Wall \
           $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

## Suppress some warnings that mostly just lead to noise.
#CFLAGS += -Wno-sequence-point -Wno-pointer-sign -Wno-unused

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),hppa)
    CFLAGS += -ffunction-sections
endif

export CFLAGS LDFLAGS

%:
	dh $@ --without autoreconf

binary binary-indep:
	dh $@ --with elpa --without autoreconf

override_dh_auto_configure-indep:;
override_dh_auto_configure-arch:
	dh_auto_configure -- --with-threads

override_dh_auto_build-indep:;
override_dh_auto_build-arch:
# We need to be strict about requiring prototypes because many functions
# return pointers, and their results may otherwise be misinterpreted on
# 64-bit systems.  However, this flag inconveniently manages to make a
# couple of configure's tests report false negatives, so we should pass it
# only when actually building.
	dh_auto_build -- CFLAGS="$(CFLAGS) -Werror-implicit-function-declaration"

override_dh_auto_install-indep:;
override_dh_auto_install-arch:
# No support for DESTDIR yet :-/
	dh_auto_install -- prefix=$(CURDIR)/debian/goo/usr
	mv debian/goo/usr/bin/goo debian/goo/usr/bin/g2c
	install debian/goo.sh debian/goo/usr/bin/goo

override_dh_installdocs:
	dh_installdocs -XCVS -Xgooomanual
	for p in `dh_listpackages`; do \
	    install -m 644 txt/changes.txt debian/$$p/usr/share/doc/$$p/NEWS; \
	done

# Work around libdebian-source-perl bug #919964 (lack of B-D-Arch support).
override_dh_elpa_test:;
