## goo 0.155%2Bds

=== debian/changelog ===
goo (0.155+ds-5) unstable; urgency=medium

  * configure: Don't rely on implicit int, fixing GCC 14 builds.
    (Closes: #1075033.)
  * debian/goo.maintscript: Remove; it only covered upgrades from ancient
    versions (routine-update).
  * Standards-Version: 4.7.0 (routine-update)
  * Implicitly built against dh-elpa 2.1.3.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 24 Jul 2024 20:15:20 -0400

goo (0.155+ds-4) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * watch file standard 4 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 06 Feb 2021 23:23:20 -0500

goo (0.155+ds-3) unstable; urgency=medium

  * c/grt.h: Avoid an undefined symbol error under Clang 9 by defining
    INLINE to extern inline in the context of grt.c (and a C99+ compiler,
    but that should be a given nowadays).
  * debian/compat: Advance to 13 (from 11).
  * debian/control: Advance debhelper requirement to >= 13 accordingly.
  * debian/source.lintian-overrides: Remove, obsoleted by repacking.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 02 Jun 2020 21:05:14 -0400

goo (0.155+ds-2) unstable; urgency=medium

  * c/grt.c: Comment out the definition of _DYNAMIC; it appears to be
    superfluous, and builds with GCC 10 otherwise fail with "multiple
    definition of `_DYNAMIC'".  Curiously, this GCC version attributes the
    previous definition to the .dynamic section of .../Scrt1.o, which
    comes from libcN-dev and when directly inspected contains no _DYNAMIC
    symbol or .dynamic section at all.  (Closes: #957300.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 25 Apr 2020 21:17:51 -0400

goo (0.155+ds-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Export CC and friends for old ./configure. (Closes: #947650.)

  [ Aaron M. Ucko ]
  * Belatedly repack without nuisance (but free) content: old CVS metadata,
    an old core Cygwin DLL, and misnamed pregenerated HTML.
  * debian/control:
    - Remove vestigial goo -> emacsen-common dependency.
    - Standards-Version: 4.5.0 (already compliant).
  * debian/copyright:
    - Supply a proper structured (format 1.0) header.
    - Move primary (Files: *) paragraph to top.
    - Extend debian/* copyright to 2020.
    - Add a missing paragraph separator.
    - Add an inline description for the one LGPL-2+ paragraph.
    - Consolidate and expand GPL-2+ description in a standalone paragraph.
    - Add Files-Excluded: to match repacking.
  * debian/rules:
    - Omit dh_installdocs -X flags, superseded by repacking.  (Keep
      override_dh_installdocs for txt/changes.txt -> NEWS installation.)
    - Take advantage of buildflags.mk (inspired by Helmut's patch).
  * debian/watch: Reflect addition of +ds tag from repacking.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 26 Jan 2020 21:26:07 -0500
