## goo 0.155+ds

=== debian/changelog ===
goo (0.155+ds-6) unstable; urgency=medium

  * **/time/threads.{c,goo}: Don't pass %thread-goo-thread an explicit
    thread ID for which it has no use; per C23, GCC 15 interprets its
    signature as accepting no arguments, not an unspecified number.
    (Closes: #1096753.)
  * c/g2c/time/%threads.c: Shield thread metadata from possible premature
    garbage collection.  Its only baseline references had been from
    thread-local storage, which is off the GC's radar (and would remain so
    even if Goo were to switch from toolchain-managed TLS to
    pthread_{get,set}specific).
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 03 May 2025 21:37:48 -0400
