=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Aaron M. Ucko <ucko@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
 Build-Depends-Arch: libgc-dev,
                     libgmp10-dev | libgmp-dev
 Build-Depends-Indep: dh-elpa
-Standards-Version: 4.3.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/ucko/goo
 Vcs-Git: https://salsa.debian.org/ucko/goo.git
 Homepage: https://people.csail.mit.edu/jrb/goo/
@@ -14,8 +14,7 @@
 
 Package: goo
 Architecture: any
-Depends: emacsen-common (>= 2.0.8),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: elpa-goo,
           gcc,
