=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+DPKG_EXPORT_BUILDTOOLS=1
+include /usr/share/dpkg/buildflags.mk
+-include /usr/share/dpkg/buildtools.mk
 
-CFLAGS  := $(shell dpkg-buildflags --get CFLAGS) -Wall \
-           $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS += -Wall $(CPPFLAGS)
 
 ## Suppress some warnings that mostly just lead to noise.
 #CFLAGS += -Wno-sequence-point -Wno-pointer-sign -Wno-unused
@@ -42,7 +43,7 @@
 	install debian/goo.sh debian/goo/usr/bin/goo
 
 override_dh_installdocs:
-	dh_installdocs -XCVS -Xgooomanual
+	dh_installdocs
 	for p in `dh_listpackages`; do \
 	    install -m 644 txt/changes.txt debian/$$p/usr/share/doc/$$p/NEWS; \
 	done
