=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//,repacksuffix=+ds,uversionmangle=s/_/./g" \
    http://people.csail.mit.edu/jrb/goo/goo-(.*)-any-dev.tar.gz
